<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class PostController extends Controller
{
    public function get_clients(){
        $client_tab = new \App\Client;
        $clients = $client_tab::all();

        return view('clients', ['clients'=>$clients]);
    }

    public function get_orders(){
        $orders_tab = new \App\Order;
        $orders = $orders_tab::all();

        foreach($orders as $order) {
            $arr[$order['id']] = array(
                'id'=>$order['id'],
                'client_name' => $order->clients['lastname'],
                'worker_name' => $order->workers['lastname'],
                'date' => $order['date'],
                'time' => $order['time'],
                'duration' => $order['duration'],
                'hall' => $order->halls['name'],
                'service' => $order->services->services['name']                
            );
        }

        return view('orders')->with(['info' => $arr]);
    }

    public function get_workers(){
        $workers_tab = new \App\Worker;
        $workers = $workers_tab::all();

        foreach($workers as $worker) {
            $arr[$worker['id']] = array(
                'lastname' => $worker['lastname'],
                'name' => $worker['name'],
                'patronymic' => $worker['patronymic'],
                'gender' => $worker['gender'],
                'position' => $worker->work_positions['name'],
                'phone' => $worker['phone'],
                'email' => $worker['email']                
            );
        }

        return view('workers')->with(['info' => $arr]);
    }

    public function get_halls(){
        $halls_tab = new \App\hall;
        $halls = $halls_tab::all();

        return view('halls', ['halls'=>$halls]);
    }


    public function add_client(Request $request){
        $validatedData = $request->validate([
            'name' => 'required',
            'lastname' => 'required',
            'patronymic' => 'required',
            'phone' => 'required',
            'gender' => 'required',
            'email' => 'required|email'
        ]);

        $client = new \App\Client;
        $client->lastname = $request->lastname;
        $client->name = $request->name;
        $client->patronymic = $request->patronymic;
        $client->phone = $request->phone;
        $client->email = $request->email;
        $client->gender = $request->gender;
        $client->save();
        $clients = $client::all();
        return view('clients', ['clients'=>$clients]);
    }

    public function delete($id) {
        $order = \App\Order::where('id', $id)->delete();

        return $this->get_orders();
    }
}
